BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 06-22-2009, 04:46 AM   #1 (permalink)
Knows Where the Search Button Is
 
Join Date: Dec 2007
Location: Earth
Model: None
PIN: Why Do People Post Their PIN
Carrier: T-Mobile UK
Posts: 31
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Exchange MAPI Versions

Please Login to Remove!

Background
I have an Windows 2003 SBS with Exchange 2003 SP2 and I am installing BES 4.1.6 on it's on a seperate server.

My understanding on MAPI and CDO versions are that you need to have the same version as is running on your Exchange or a higher version.

For Example Exchange 2000 SP3 needs ESM 2000 SP3 or ESM 2003 or higher.

Question
In my case I don't want to install ESM 2003 on my BES hardware and was wondering if anyone knows if I can install the MAPI and CDO 1.2.1 pack on the BES.

Thanks


James
Offline  
Old 06-22-2009, 07:59 AM   #2 (permalink)
BlackBerry Extraordinaire
 
Join Date: Mar 2007
Model: Z10
OS: 10.1.0.19
Carrier: Fido
Posts: 1,068
Post Thanks: 6
Thanked 30 Times in 29 Posts
Default

I beleive it should work but why not do it right way and install esm?
Offline  
Old 06-22-2009, 11:12 AM   #3 (permalink)
BlackBerry Genius
 
hdawg's Avatar
 
Join Date: Aug 2006
Model: hdawg
PIN: port3101.org
Carrier: hdawg
Posts: 6,632
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

It'll work, but it isn't the recommended implementation. That said, I've done it and have had no problems ... but I'm generally a fan of matching MAPI/CDO dlls whenever possible.
Offline  
Old 09-16-2009, 01:00 PM   #4 (permalink)
New Member
 
WildCheese's Avatar
 
Join Date: Jan 2009
Model: 8830
OS: 4.2.2.66
PIN: N/A
Carrier: Multiple
Posts: 1
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Just to clarify,

I'm running BES 5.0 with ESM 2003 installed on it which allows it to talk to and Exchange 2003 backend. If I uninstalled it and intalled MAPI/CDO object dlls instead, it will work with the EX03 environment with no negative impact? I ask because I also manage and Exchange 2007 environment and would like to have only one BES.

I know this may not be the recommended way of doing this, but will it work?
/
__________________
Does fuzzy logic tickle?
Offline  
Old 09-16-2009, 01:06 PM   #5 (permalink)
BlackBerry God
 
penguin3107's Avatar
 
Join Date: Jan 2005
Model: iOS 5
Carrier: VZW
Posts: 11,701
Post Thanks: 1
Thanked 237 Times in 219 Posts
Default

Quote:
Originally Posted by WildCheese View Post
Just to clarify,

I'm running BES 5.0 with ESM 2003 installed on it which allows it to talk to and Exchange 2003 backend. If I uninstalled it and intalled MAPI/CDO object dlls instead, it will work with the EX03 environment with no negative impact? I ask because I also manage and Exchange 2007 environment and would like to have only one BES.

I know this may not be the recommended way of doing this, but will it work?
/
Yes, it will work, and it is the recommended method.
__________________
BCSA
BES 5.0.3 MR4 :-: Exchange 2007 SP3 RU3
http://port3101.org
Offline  
Old 09-16-2009, 08:31 PM   #6 (permalink)
BlackBerry Genius
 
hdawg's Avatar
 
Join Date: Aug 2006
Model: hdawg
PIN: port3101.org
Carrier: hdawg
Posts: 6,632
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

^ is smart.
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.